Subject: Re: linux-next: build failure after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Tue, 7 Mar 2017 09:47:29 +0100

On Tue, Mar 07, 2017 at 12:25:42PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the staging tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/staging/media/atomisp/i2c/mt9m114.c:38:41: fatal error: linux/atomisp_gmin_platform.h: No such file or directory
> drivers/staging/media/atomisp/i2c/gc2235.c:32:41: fatal error: linux/atomisp_gmin_platform.h: No such file or directory
> drivers/staging/media/atomisp/i2c/ov2722.c:32:41: fatal error: linux/atomisp_gmin_platform.h: No such file or directory

I really can't duplicate this here, but you and the kbuild bot are
hitting this now.  in drivers/staging/media/atomisp/Makefile we have:
	LINUXINCLUDE        += -I drivers/staging/media/atomisp/include/
to point the include path at where atomisp_gmin_platform.h is at.

So I don't understand what is going on here.  Alan, any hints?

thanks,

greg k-h